osspec_linux
3
HAL Library

# osspec_linux

## Synopsis

    const gchar* get_hal_sysfs_path             (void);
    const gchar* get_hal_proc_path              (void);
    gboolean    hal_util_get_driver_name        (const char *sysfs_path,
                                                 gchar *driver_name);
    gboolean    hal_util_set_driver             (HalDevice *d,
                                                 const char *property_name,
                                                 const char *sysfs_path);
    HalDevice*  hal_util_find_closest_ancestor  (const gchar *sysfs_path);

## Description

## Details

### get_hal_sysfs_path ()

    const gchar* get_hal_sysfs_path             (void);

Returns :

### get_hal_proc_path ()

    const gchar* get_hal_proc_path              (void);

Returns :

### hal_util_get_driver_name ()

    gboolean    hal_util_get_driver_name        (const char *sysfs_path,
                                                 gchar *driver_name);

`sysfs_path` :

`driver_name` :

Returns :

### hal_util_set_driver ()

    gboolean    hal_util_set_driver             (HalDevice *d,
                                                 const char *property_name,
                                                 const char *sysfs_path);

`d` :

`property_name` :

`sysfs_path` :

Returns :

### hal_util_find_closest_ancestor ()

    HalDevice*  hal_util_find_closest_ancestor  (const gchar *sysfs_path);

`sysfs_path` :

Returns :